DS_AUTOTILE_ARRAY(3)

EXPERIMENTAL_FUNC
ds_autotile_array - Choose tiling scheme automatically.

SYNOPSIS
#include <karma_ds.h>

flag ds_autotile_array

(array_desc *arr_desc, flag allow_truncate)

DESCRIPTION
This routine will choose an optimum tiling scheme for an array.

arr_desc
    The array descriptor. This is modified.

allow_truncate
    If TRUE, the routine will shorten the lengths of dimensions to allow tiling.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/